@import "../../../assets/scss/_variables";

$main-grey: rgb(200,200,200);

:host {
  display: inline-block;
}
.hover {
  &:hover {
    cursor: pointer;
    transform: scale(1.2);
  }
}

.octave {
  position: relative;
  border: 3px solid $pussy-blue;
  border-radius: 20px;
  overflow: hidden;
  transition: 0.5s;
  box-shadow: 0 10px 10px -5px rgba(0,0,0,0.4);

  &.size_lg {
    width: 840px;
    height: 360px;

    & .key {
        &_white {
          width: 60px;
        }

        &_black,
        &_empty {
          width: 35px;
        }
      }
    }

  &.size_md {
    width: 670.6px;
    height: 280px;

    & .key {
      &_white {
        width: 48px;
      }

      &_black {
        width: 28px;
      }

      &_empty {
        width: 28px;
      }
    }
  }

  &.size_sm {
    width: 280px;
    height: 120px;

    & .key {
      &_white {
        width: 20px;
      }

      &_black {
        width: 12px;
      }

      &_empty {
        width: 12px;
      }
    }
  }
}

.key-row {
  position: absolute;
  top: 0;
  left: 0;
  display: flex;
  justify-content: center;
  width: 100%;

  &_black {
    z-index: 2;
    height: 60%;
  }

  &_white {
    z-index: 1;
    height: 100%;
  }
}

.red-dot {
  width: 8px;
  height: 8px;
  border-radius: 50%;
  background: #FA6965;
  position: absolute;
  left: 50%;
  top: 70%;
  transform: translate(-50%, -50%);
}

.key-value {
  text-align: center;
  position: absolute;
  left: 50%;
  bottom: 5%;
  z-index: 2;
  transform: translateX(-50%);
}

.key {
  position: relative;
  &_white {
    height: 100%;
    background-color: #65C6E9;
    box-shadow: inset 7px 0 2px -7px $main-grey;

    &.active {
        background-color: white;
    }
  }

  &_black {
    height: 100%;
    background-color: $main-grey;

    &.active {
      background-color: black;
    }
  }
  &-value {
    position: absolute;
    left: 50%;
    transform: translate(-50%);
    bottom: 5%;
    font-size: 16px;
    font-weight: 100;
    &_black {
      color: $text-pussy-blue;
    }
  }
}


